<?php
/**
 * @version 0.1 $Id: jomcomment.php 666 2009-12-26 17:34:11Z devil $
 * @package Joomla
 * @subpackage FLEXIcontent
 * @subpackage plugin.jcomments
 * @copyright (C) 2009 Markus Rouenhoff - www.joomla-aktuell.de
 * @license GNU/GPL v2
 *
 * FLEXIcontent is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */
defined( '_JEXEC' ) or die( 'Restricted access' );

//jimport('joomla.plugin.plugin');
jimport('joomla.event.plugin');

class plgFlexicontent_fieldsJomComment extends JPlugin
{
	function plgFlexicontent_fieldsJomComment( &$subject, $params )
	{
		parent::__construct( $subject, $params );
        JPlugin::loadLanguage('plg_flexicontent_fields_jomcomment', JPATH_ADMINISTRATOR);
	}

  // this shows up only in Article Edit at the BackEnd
	function onDisplayField(&$field, $item)
	{
		// execute the code only if the field type match the plugin type
		if($field->field_type != 'jomcomment') return;

		// initialise property
		if (file_exists(JPATH_SITE.DS.'plugins'.DS.'content'.DS.'jom_comment_bot.php')) 
			{		
			$field->html	= '<div>JomComment Field Plugin</div>';
			} else {
			$field->html	= '<div style="color:red;">Please Install JomComment Component!</div>';
			}
	}
  	// i think i didnt need this
	function onBeforeSaveField( $field, &$post, &$file )
	{
		// execute the code only if the field type match the plugin type
		if($field->field_type != 'jomcomment') return;
	}

  // this is for the frontend display
	function onDisplayFieldValue(&$field, $item, $values=null, $prop='display')
	{
		// execute the code only if the field type match the plugin type
		if($field->field_type != 'jomcomment') return;

			if (file_exists(JPATH_SITE.DS.'plugins'.DS.'content'.DS.'jom_comment_bot.php')) 
			{
    			require_once(JPATH_SITE.DS.'plugins'.DS.'content'.DS.'jom_comment_bot.php');
			} else {
			return;
			}
						

    	$object_group = 'com_flexicontent';
		$object_id    = $item->id;
    
    	$comment = '<div class="comments">'.jomcomment($object_id, $object_group).'</div>';

		// initialise property
		$field->display = $comment;
	}

}